<?php
if (User::getUser()->FUN_TBL_SINCRONIZACAO != 1) {
    User::blockAction("Sem permissão para realizar esta ação");
}
$this->PageTitle = 'Prospectos / Clientes &raquo; Sincronização';
?>

<div class="form">
    <form id="sincronizacao_form" style="height:500px !important;position:relative;" action="<?php echo Yii::app()->request->baseUrl ?>/index.php?r=sincronizacao" method="post">
        <div class='col-xs-12'>
            <p class="color-blue note col-md-4">
                Campos com <span class="required">*</span> s&atilde;o obrigat&oacute;rios.
            </p>
            <div class='clearfix'></div>
            <?php
                $messageTypes = array('error', 'danger', 'success', 'info', 'warning');
                foreach($messageTypes as $messagetype) {
                    if(Yii::app()->user->hasFlash($messagetype)) {
                        echo FaHtml::alert(Yii::app()->user->getFlash($messagetype), $messagetype);
                    }
                }
            ?>
        </div>

        <div style="width: 100%;">
            <div style="width: 50%; float: left;">
                <label for="De" class="required">De <span class="required">*</span></label>
                <input name="De" id="De" type="number" min="1" max="99999999999"/>
                <div id="de_dados"> 
                    <div id="visualizar_de"></div><br />
                    <div id="CLI_SITUACAO"></div>
                    <div id="CLI_TIPOPESSOA"></div>
                    <div id="CLI_NOME"></div>
                    <div id="CLI_FANTASIA"></div>
                    <div id="CLI_CNPJCPF"></div>
                    <div id="CLI_INSCR_EST"></div>
                    <div id="CLI_IDRAMO"></div>
                    <div id="CLI_FONE1"></div>
                    <div id="CLI_FONE2"></div>
                    <div id="CLI_FONE3"></div>
                    <div id="CLI_ENDERECO"></div>
                    <div id="CLI_NUMERO"></div>
                    <div id="CLI_BAIRRO"></div>
                    <div id="CLI_CIDADE"></div>
                    <div id="CLI_CEP"></div>
                </div>
            </div>

            <div style="width: 50%; float: right;"> 
                <label for="Para" class="required">Para <span class="required">*</span></label>
                <input name="Para" id="Para" type="number" min="1" max="99999999999"/>
                <div id="para_dados"> 
                    <div id="visualizar_para"></div><br />
                    <div id="CLI_SITUACAO"></div>
                    <div id="CLI_TIPOPESSOA"></div>
                    <div id="CLI_NOME"></div>
                    <div id="CLI_FANTASIA"></div>
                    <div id="CLI_CNPJCPF"></div>
                    <div id="CLI_INSCR_EST"></div>
                    <div id="CLI_IDRAMO"></div>
                    <div id="CLI_FONE1"></div>
                    <div id="CLI_FONE2"></div>
                    <div id="CLI_FONE3"></div>
                    <div id="CLI_ENDERECO"></div>
                    <div id="CLI_NUMERO"></div>
                    <div id="CLI_BAIRRO"></div>
                    <div id="CLI_CIDADE"></div>
                    <div id="CLI_CEP"></div>                 
                </div>
            </div>
        </div><!-- row -->

        <div style="bottom:15px;position:absolute;">
            <?php echo FaHtml::saveButton('Salvar', array('value' => 'submit')); ?>
        </div>
    </form>

</div><!-- form -->
<script>
    $(document).ready(function () {
        $("#De,#Para").on("input", function() {

            var cliente = $(this).val();
            var tipo_campo = this.id;

            if(cliente == '') {
                return;
            }

            var array_campos = ['CLI_SITUACAO','CLI_TIPOPESSOA','CLI_NOME','CLI_FANTASIA','CLI_CNPJCPF','CLI_INSCR_EST','CLI_IDRAMO','CLI_FONE1','CLI_FONE2','CLI_FONE3','CLI_ENDERECO','CLI_NUMERO','CLI_BAIRRO','CLI_CIDADE','CLI_CEP'];

            var string_id_campos = '#CLI_SITUACAO,#CLI_TIPOPESSOA,#CLI_NOME,#CLI_FANTASIA,#CLI_CNPJCPF,#CLI_INSCR_EST,#CLI_IDRAMO,#CLI_FONE1,#CLI_FONE2,#CLI_FONE3,#CLI_ENDERECO,#CLI_NUMERO,#CLI_BAIRRO,#CLI_CIDADE,#CLI_CEP';

            jQuery.ajax({
                type: 'GET',
                url: createUrl('autocomplete/cliente'),
                cache: false,
                data: {id: cliente, field: array_campos},
                success: function(html){
                    $('#loading').hide();
                    if(tipo_campo == 'De') {
                        $("#de_dados").find(string_id_campos).html("");
                        $("#de_dados").find('#visualizar_de').html("");
                    } else {
                        $("#para_dados").find(string_id_campos).html("");
                        $("#para_dados").find('#visualizar_para').html("");
                    }
                    if(html == 'erro') {
                        return;
                    }
                    var retorno_campos = jQuery.parseJSON(html);
                    
                    if(tipo_campo == 'De') {
                        $("#de_dados").find('#visualizar_de').html('<a class="btn btn-default" target=\"_blank\" href=\"https://crm.delvale.com.br/index.php?r=clientes/view&id='+ cliente +'">Visualizar cliente</a> ');
                    } else {
                        $("#para_dados").find('#visualizar_para').html('<a class="btn btn-default" target=\"_blank\" href=\"https://crm.delvale.com.br/index.php?r=clientes/view&id='+ cliente +'">Visualizar cliente</a> ');
                    }
                    for(chave in retorno_campos) {
                        if (retorno_campos[chave] == null) {
                            retorno_campos[chave] = '<small style="color: #ccc;">Não informado</small>';
                        }
                        switch(chave) {
                          case 'CLI_SITUACAO':
                                var status_cliente = StatusCliente(retorno_campos[chave]);
                                insere_campo(tipo_campo, '#CLI_SITUACAO', '<b>Status:</b> ' + status_cliente);
                            break;
                          case 'CLI_TIPOPESSOA':
                                var tipo_cliente = TipoCliente(retorno_campos[chave]);
                                insere_campo(tipo_campo, '#CLI_TIPOPESSOA', '<b>Tipo Pessoa:</b> ' + tipo_cliente);
                            break;
                          case 'CLI_NOME':
                                insere_campo(tipo_campo, '#CLI_NOME', '<b>Razão Social:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_FANTASIA':
                                insere_campo(tipo_campo, '#CLI_FANTASIA', '<b>Nome Fantasia:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_CNPJCPF':
                                insere_campo(tipo_campo, '#CLI_CNPJCPF', '<b>CNPJ/CPF:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_INSCR_EST':
                                insere_campo(tipo_campo, '#CLI_INSCR_EST', '<b>Inscrição Estadual:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_IDRAMO':
                                insere_campo(tipo_campo, '#CLI_IDRAMO', '<b>Ramo de Atividade:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_FONE1':
                                insere_campo(tipo_campo, '#CLI_FONE1', '<b>Telefone 1:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_FONE2':                                        
                                insere_campo(tipo_campo, '#CLI_FONE2', '<b>Telefone 2:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_FONE3':  
                                insere_campo(tipo_campo, '#CLI_FONE3', '<b>Telefone 3:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_ENDERECO':
                                insere_campo(tipo_campo, '#CLI_ENDERECO', '<b>Endereço:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_NUMERO':
                                insere_campo(tipo_campo, '#CLI_NUMERO', '<b>Número:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_BAIRRO':
                             insere_campo(tipo_campo, '#CLI_BAIRRO', '<b>Bairro:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_CIDADE':
                                insere_campo(tipo_campo, '#CLI_CIDADE', '<b>Cidade:</b> ' + retorno_campos[chave]);
                            break;
                          case 'CLI_CEP':
                                insere_campo(tipo_campo, '#CLI_CEP', '<b>CEP:</b> ' + retorno_campos[chave]);
                            break;
                          default:
                                // do nothing
                                break;
                        }
                        //}
                    }
                }
            });
        });

        function insere_campo(tipo_campo, id_campo, dado) {
            if(tipo_campo == 'De') {
                $("#de_dados").find(id_campo).html("<p>" + dado + "</p>");
            } else {
                $("#para_dados").find(id_campo).html("<p>" + dado + "</p>");
            }
        }
    });

</script>
